PDA

View Full Version : AAC on Linux Slimserver - not working for me



Jens-Christian Fischer
2004-09-08, 06:24
>- I can't compile FAAD. When I run "autoreconf -vif" I get the
>following error:
>autoreconf: running: /usr/bin/autoconf --force
>configure.in:14: error: possibly undefined macro: AC_PROG_LIBTOOL
> If this token and others are legitimate, please use
>m4_pattern_allow.
> See the Autoconf documentation.
>autoreconf: /usr/bin/autoconf failed with exit status: 1

dohhh. hmm - this was a rather new install...

# apt-get install libtool g++

took care of the the first compilation issues :-)

But: I still can't compile this thing:

automake: configure.in: installing `./missing'
automake: libfaad/Makefile.am: not supported: source file
`codebook/hcb.h' is in subdirectory
[...]
automake: libfaad/Makefile.am: not supported: source file
`codebook/hcb_sf.h' is in subdirectory
automake: frontend/Makefile.am: not supported: source file
`$(top_srcdir)/common/faad/getopt.c' is in subdirectory

(That was with the CVS snapshot from 06-09-2004 and the 2.0 realease of
the FAAD2 source)

Any more ideas?

Victor Brilon
2004-09-08, 07:16
Jens-Christian Fischer wrote:
[ snip ]
> (That was with the CVS snapshot from 06-09-2004 and the 2.0 realease of
> the FAAD2 source)
>

I too spent a few hours sorting this out and finally gave up on it as
the CVS builds had way too many dependencies in the auto[conf|make]
family for me to risk messing up my existing build environment.

Since I run Fedora, it was pretty easy to find a precompiled rpm and I
am using that now. Google for your favorite precompiled package format.

Victor